Subject: Re: linux-next: manual merge of the block tree with the mm tree

From: Andrew Morton <[email-masked]>
Date: Thu, 15 Jun 2023 20:50:14 -0700

On Fri, 16 Jun 2023 11:58:56 +1000 Stephen Rothwell <[email-masked]> wrote:

> Today's linux-next merge of the block tree got a conflict in:
> 
>   mm/gup.c
> 
> between commit:
> 
>   0f3f569eca46 ("mm/gup.c: reorganize try_get_folio()")
> 
> from the mm tree and commit:
> 
>   c8070b787519 ("mm: Don't pin ZERO_PAGE in pin_user_pages()")
> 
> from the block tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

That's getting a bit nasty.  Maybe David's patches are in the wrong tree.